---
title: "Get Team Info"
slug: "get-team-info"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Team Info

Get/api/v1/teams.info

Gets a team's information. If the team is not public, the request sender must be a member of the team, or must have the `view-all-teams` permission.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersteamIdstring

The team id. It is required if the `teamName` is not provided.

Example63f3efc4b000b6b6d86704b2
teamNamestring

The team name. It is required if the `teamId` is not provided.

Examplelivestream

Responses200

OK

Note that the `roomId` is main room id of the team.

<select class='api-response-data' aria-label='Media type'><option value='fd65786e-3ac2-4641-8bb5-414346ed34b0'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0984a0c4-1b4b-4e85-955a-837574e1bd86'>Success</option>
</select>Success

```json
{
  "teamInfo": {
    "_id": "607e0d9b49d493189836bfac",
    "name": "Team1",
    "type": 1,
    "createdAt": "2021-04-19T23:09:15.106Z",
    "createdBy": {
      "_id": "FL2fZL4ERhwA3gWiS",
      "username": "some.username"
    },
    "_updatedAt": "2021-04-19T23:09:15.106Z",
    "roomId": "Dgh2xwJ3NFKWvKSqY"
  },
  "success": true
}
```

Expand Allobject  teamInfoobject  _idstring    
namestring    
typeinteger    
createdAtstring    
createdByobject  _idstring    
usernamestring    

_updatedAtstring    
roomIdstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='9f5a5d93-ead9-4049-adbb-8381e380bd5f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='79832b28-8813-4e1a-8431-33cb285ae170'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
